Bug 1004361 - Not able to assign the f10 key to an application
Not able to assign the f10 key to an application
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: lxterminal (Show other bugs)
19
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-04 09:30 EDT by Jean-Pierre André
Modified: 2015-02-17 12:03 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:03:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Picture of what I get when pressing f10 (17.57 KB, image/gif)
2013-09-04 09:30 EDT, Jean-Pierre André
no flags Details

  None (edit)
Description Jean-Pierre André 2013-09-04 09:30:06 EDT
Created attachment 793671 [details]
Picture of what I get when pressing f10

Description of problem:

When running lxterminal, the function key f10 opens the lxterminal menu, and there appears to be no way to disable or reassign this.

Version-Release number of selected component (if applicable):


How reproducible:

Always

Steps to Reproduce:
1. Open lxterminal
2. Depress the f10 key (no shift, no control, no alt)
3.

Actual results:

The lxterminal menu is displayed, the running application cannot act upon this key.

Expected results:

There should be a way to disable the behavior, or to change the key assigned to it. In particular, it should be customizable as the "Microsoft" menu key.

Additional info:

In the Preference > Advanced menu of lxterminal, there is a choice "Disable menu shortcut key (F10 by default)". I cannot find a similar choice for the unshifted f10 (nor where the current behavior is documented).

I need the f10 key for an application which should appear the same as on Windows, Solaris and former Linux (and guess what, this behavior is not customizable either in the application).
Comment 1 Jean-Pierre André 2013-09-04 10:21:36 EDT
Well, I found that by enabling "Hide menu bar" in the Preference menu bar in lxterminal, this also disables the f10 unwanted behavior. Not exactly what i wanted, but I can do that way until the matter is fixed.
Comment 2 Fedora End Of Life 2015-01-09 14:43:25 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-02-17 12:03:41 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.